/*
 * Copyright (c) 2010, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __PIC32_IO_H__
#define __PIC32_IO_H__

typedef struct port_sfr_s {
	unsigned int tris;
	unsigned int trisclr;
	unsigned int trisset;
	unsigned int trisinv;
	unsigned int port;
	unsigned int portclr;
	unsigned int portset;
	unsigned int portinv;
	unsigned int lat;
	unsigned int latclr;
	unsigned int latset;
	unsigned int latinv;
	unsigned int odc;
	unsigned int odcclr;
	unsigned int odcset;
	unsigned int odcinv;
} port_sfr_t;

typedef struct uart_sfr_s {
	unsigned int umode;
	unsigned int _00[3];   
	unsigned int usta;
	unsigned int _01[3];
	unsigned int utxreg;
	unsigned int _02[3];
	unsigned int urxreg;
	unsigned int _03[3];
	unsigned int ubrg;
} uart_sfr_t;

#define UART_BRGH   0x0008;

#endif   /* __PIC32_IO_H__ */

